> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truthlocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List agent receipts

> List receipts for one workspace agent.

List receipts for one workspace agent.

Use a workspace API key or bearer token. Encode the complete `maip-receipt:` identifier as one URL path segment.


## OpenAPI

````yaml maip-openapi.yaml GET /v1/agent-receipts/agent/{agentID}
openapi: 3.0.3
info:
  title: Truthlocks MAIP receipts and approvals
  version: 2.0.0
servers:
  - url: https://api.truthlocks.com
    description: Production
  - url: https://sandbox-api.truthlocks.com
    description: Sandbox
security:
  - apiKey: []
  - bearerAuth: []
paths:
  /v1/agent-receipts/agent/{agentID}:
    get:
      summary: List agent receipts
      description: List receipts for one workspace agent.
      operationId: maipAgentReceiptList
      parameters:
        - name: agentID
          in: path
          required: true
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
            default: 50
            minimum: 1
            maximum: 100
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    receipt_id:
                      type: string
                    agent_id:
                      type: string
                    version:
                      type: string
                    status:
                      type: string
                    created_at:
                      type: string
                      format: date-time
                    signature:
                      type: string
                    signing_envelope:
                      type: object
                      properties:
                        version:
                          type: string
                        key_id:
                          type: string
                        algorithm:
                          type: string
                        payload:
                          type: string
                    metadata:
                      type: object
                      additionalProperties: true
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.